Свобода выбора программного обеспечения для VDS

Обсуждение новостей firstVDS.ru

Модератор: Art.i

Свобода выбора программного обеспечения для VDS

Сообщение vasya » Пт фев 10, 2006 7:53 am

С сегодняшнего дня, при заказе нового Виртуального Выделенного Сервера (VDS / VPS) клиент может выбрать операционную систему для своего VDS и набор программного обеспечения установленного на нём.

В настоящее время мы предоставляем выбор из 4-х наборов программного обеспечения. Подробнее ознакомиться с описанием наборов ПО и нашими рекомендациями по выбору вы можете на странице "Наборы предустановленного ПО для VDS".

Владельцам VDS с ОС FreeBSD 4.11

Если вы хотите перевести свой VDS на один из наборов ПО с операционной системой FreeBSD 6, то вам необходимо заказать новый VDS с нужным набором программного обеспечения и перенести свои данные на новый VDS самостоятельно.

Если вы хотите переинсталлировать существующий VDS в сервер с FreeBSD 6 с сохранением существующего IP-адреса, то вам необходимо сохранить ВСЕ свои данные и обратиться в службу тех.поддержки (стоимость услуги 1USD). В результате запроса вы получите новый VDS с FreeBSD 6 и старым IP-адресом, все настройки и данные вам придется восстанавливать самостоятельно.

Устаревшая информация. В настоящее время переход возможен только через заказ нового сервера и отказ от старого.

* Набор ПО с FreeBSD 4.11 будет поддерживаться и своевременно обновляться нашими специалистами. Поэтому, если у вас нет действительно веских причин "переезда" на FreeBSD 6, то мы рекомендуем вам оставить всё как есть.
vasya
Site Admin
 
Сообщений: 1117
Зарегистрирован: Пн апр 28, 2003 9:13 am

Сообщение Константин » Пт фев 10, 2006 4:08 pm

Пожалуйста, исправьте описание 4.11. У вас так сейчас написано, как будто это ОС FreeBSD старая, а не определённая версия 4.11.
Константин
 
Сообщений: 25
Зарегистрирован: Чт янв 26, 2006 7:22 pm
Откуда: От верблюда

Сообщение Константин » Пт фев 10, 2006 4:16 pm

Новость о 6-STABLE радует. Теперь у вас можно использовать OpenBSD'шный pf и ports/mail/spamd?

Теперь стало ещё обиднее, что подписаться нельзя (т.к. не принимаете пластик)! :-)
Константин
 
Сообщений: 25
Зарегистрирован: Чт янв 26, 2006 7:22 pm
Откуда: От верблюда

Сообщение xameleon » Пт фев 10, 2006 5:23 pm

"Свобода выбора программного обеспечения для VDS"

хмм, значит и linux_base можно будет наконец-то поставить ? =)
xameleon
 
Сообщений: 2
Зарегистрирован: Ср фев 23, 2005 6:40 pm

Сообщение garry » Сб фев 11, 2006 3:59 am

Если пройтись по ссылкам из новости, то можно будет понять что она относиться к набуру предустановленного софта, а не к возможностям ядра.

xameleon писал(а):хмм, значит и linux_base можно будет наконец-то поставить ? =)

Интересные выводы ...
COMPAT_LINUX по пержнему отключено.

OpenBSD'шный pf

если это packet filter, то нет, возможности ядра не увеличились, (кстати чем не устраивает ipfw? )
то же относиться и к IPSEC и к bpf
garry
Консультант
 
Сообщений: 2241
Зарегистрирован: Сб дек 07, 2002 3:39 pm
Откуда: FirstVDS

Сообщение Константин » Сб фев 11, 2006 4:16 am

Garry писал(а):Если пройтись по ссылкам из новости, то можно будет понять что она относиться к набуру предустановленного софта, а не к возможностям ядра.

OpenBSD'шный pf

если это packet filter, то нет, возможности ядра не увеличились, (кстати чем не устраивает ipfw? )
то же относиться и к IPSEC и к bpf


Что-то не понял, почему вы заявляете, что возможности ядра не увеличились. Там теперь 6.0 или до сих пор 4.11? По ссылкам написано 6.0, а в 6.0 есть pf по умолчанию, если я не ошибаюсь. Такое ощущение, что вы сами не знаете, о чём говорите/пишете на сайте ("одна рука не знает, что делает другая" ;-) ). При чём здесь предустановленный софт, если чёрным по белому написана разница версий ОС?

pf более распространён как firewall (ИМХО), pf имеет больше функций (ИМХО), быстрее развивается, имеет доходчивую документацию (факт) и простой синтакс, и вообще, скоро полностью вытеснит ipfw и уже тем более ipf. :-) Да и в конце концов, мне, как пользователю OpenBSD, он намного ближе и понятнее. ;-)

P.S. Вы так и будете продолжать пилить сук, на котором сидите? Исправьте ваше предложение "На VDS установлена несколько устаревшая, но по-прежнему широко используемая операционная система FreeBSD 4.11. " -- вы незаслуженно обвиняете всю ОС в устаревшести.
Последний раз редактировалось Константин Сб фев 11, 2006 4:32 am, всего редактировалось 1 раз.
Константин
 
Сообщений: 25
Зарегистрирован: Чт янв 26, 2006 7:22 pm
Откуда: От верблюда

Сообщение garry » Сб фев 11, 2006 4:31 am

мало ли куда что входит по умолчанию.
одно из другого не следует.
pf модуль ядра, у нас ядро со своими опциями.

причем тут пилить сук?
никого в устаревшести мы не обвиняем, 4 ветка остановила свое развитие, на официальном сайте на фтп даже пекеджи для нее убрали,
в портах многие пакеты проверяют версию и не хотят ставиться если версия ос меньше 5, процесс сворачивания уже пошел и чем дальше тем сложнее будет поддерживать ее.
garry
Консультант
 
Сообщений: 2241
Зарегистрирован: Сб дек 07, 2002 3:39 pm
Откуда: FirstVDS

Сообщение Константин » Сб фев 11, 2006 4:48 am

Garry писал(а):мало ли куда что входит по умолчанию.
одно из другого не следует.
pf модуль ядра, у нас ядро со своими опциями.

Да можно вообще даже поддержку INET отключить! ;-)
Дело-то в том, что в 6.0 как раз возможности увеличились (в 4-STABLE нет никакого OpenBSD pf в базовой поставке), а вы их уменьшили "обратно", а говорите, что предлагаете 6.0.

Garry писал(а):причем тут пилить сук?
никого в устаревшести мы не обвиняем, 4 ветка остановила свое развитие, на официальном сайте на фтп даже пекеджи для нее убрали,
в портах многие пакеты проверяют версию и не хотят ставиться если версия ос меньше 5, процесс сворачивания уже пошел и чем дальше тем сложнее будет поддерживать ее.


эх ты, и правда четвёрку уже убрали... А ведь обещали два года поддерживать?! Слишком много, наверное, релизов развелось, все не помещаются на каждом зеркале, вот и приходится им теперь убирать... Лично я до сих пор сижу на 4.8. ;-)

Вы сами почитайте ваше описание со стороны пользователя, незнакомого с FreeBSD... Я вам говорю про конкретную фразировку, ИМХО очень неудачная, заложенный смысл стоит передать по-другому.

К.
Константин
 
Сообщений: 25
Зарегистрирован: Чт янв 26, 2006 7:22 pm
Откуда: От верблюда

Сообщение Sergey » Сб фев 11, 2006 5:14 am

Константин, ведь Вам же уже ответили, что поддержки pf нет, что сейчас непонятно?

VDS имеет свои ограничения, и это более чем оправданно. Если Вам совершенно необходим pf, то, вероятно, Вам стоит задуматься о приобретении выделенного сервера. Поскольку у нас pf нет.

Кстати выделенный сервер с FreeBSD и в частности с pf можно арендовать у наших партнёров - http://ispserver.com/
Sergey
Support team
 
Сообщений: 261
Зарегистрирован: Вт окт 05, 2004 3:42 pm

Сообщение L1kvID » Вс фев 12, 2006 1:13 pm

Хотел спросить, а как вообще можно перейти на новую ОС.
У меня есть VDS на FreeBSD 4, теперь вот хочу перейти на 6 c современным ПО. ПРочитал про 2 пути, чтобы это сделать, НО не очень понятно:
Я хочу перейти на новую ОС, мне всё равно, что у меня будет пустой хард или другой ip, НО я недавно попонил счёт ,и мне не хочется терять деньги. Кроме того не нашёл в техподдержке тему о переходе на новую ОС!!!
Что мне делать? помогите!!!
L1kvID
 
Сообщений: 31
Зарегистрирован: Вс фев 12, 2006 1:06 pm

Сообщение garry » Вс фев 12, 2006 3:40 pm

- заказать новый вдс,
- скопировать данные со старого, если нужно
- старый закрыть.
garry
Консультант
 
Сообщений: 2241
Зарегистрирован: Сб дек 07, 2002 3:39 pm
Откуда: FirstVDS

Сообщение L1kvID » Вс фев 12, 2006 3:54 pm

Garry писал(а):- заказать новый вдс,
- скопировать данные со старого, если нужно
- старый закрыть.

Уже решил проблему, но всё равно спасибо!!!
Интересно узнать, а много народу, захотелось обновиться?
Лично я сделал это для поддержки php5--мой сайт пишется именно с это технологией, ну и для повышения секурности.
L1kvID
 
Сообщений: 31
Зарегистрирован: Вс фев 12, 2006 1:06 pm

Сообщение Константин » Вс фев 12, 2006 7:07 pm

L1kvID писал(а):Интересно узнать, а много народу, захотелось обновиться?
Лично я сделал это для поддержки php5--мой сайт пишется именно с это технологией, ну и для повышения секурности.


А секурность всё равно не повысится, FreeBSD 4-STABLE обещают поддерживать как минимум два года с выхода 4.11. Так что пока можно спать спокойно и с 4-STABLE. ;-)
Константин
 
Сообщений: 25
Зарегистрирован: Чт янв 26, 2006 7:22 pm
Откуда: От верблюда

Сообщение Denikus » Пн фев 13, 2006 12:39 pm

А если меня во втором наборе устраивает все, кроме PHP 4.x .
Я бы хотел PHP 5.x , но ставить самому не очень хочеться.

Третий пакет не устраивает 2-м Апачем(насколько я знаю, он более требователен к железу, да и нареканий на него больше чем на 1.3), MySql 5 - тоже излишество.


Возможно ли сделать замену PHP 4.x на PHP 5.x в предустановленном пакете для отца русской демократии? :roll:
Denikus
 
Сообщений: 0
Зарегистрирован: Пн фев 13, 2006 12:31 pm

Сообщение vasya » Пн фев 13, 2006 12:45 pm

Если коротко, то нет. Под все варианты наборов не напасешься.

Если нужно как то иначе, а не так то как по умолчанию, то берем более предпочтительный набор и сверху ставим то что нужно, в вашем случае PHP 5.
vasya
Site Admin
 
Сообщений: 1117
Зарегистрирован: Пн апр 28, 2003 9:13 am

След.

Вернуться в Новости

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 5